Nicht funktionierende ältere Plugins!!!

  • Hallo,


    bei neu erscheinende Images (neuere CVS-Images) kann es vorkommen das ein
    beliebtes lieb gewonnenes Plugin nicht mehr funktioniert.


    Wir vom Gemini-Team können da leider in den meisten Fällen nichts machen.


    Um ein Plugin in einem neuen Images wieder zum laufen bewegen zu können,
    muss dieses dann gegen ein neues CVS neu kompiliert werden.


    Damit dies gemacht werden kann ist es nötig die Sourcen (den Quellcode)
    davon zu besitzen, was leider nicht immer der Fall ist.


    Im Vergleich:


    Man könnte höchsten Versuchen dieses komplett neu zu Programmieren was aber
    sehr Zeitintensiv ist, und daher nicht in Realition zu stellen wäre.


    Weiterhin käme bei dieser Neuentwicklung natürlich etwas völlig neues heraus.


    Als Beispiel mal folgendes:


    Quote

    Wir können Dir auch nicht so einfach eine "original" schmeckende CocaCola
    vorsetzen wenn wir nur eine Dose davon haben aber kein Rezept davon besitzen.

    Heraus käme dann auch einfach nur höchstens eine PepsiCola oder ähnliches.
    Ich hoffe ich hab das nun mal absolut begreiflich erklärt.


    Daher auch unsere bitte:


    Falls ihr im Internet sourcen zu Plugins usw. findet diese ggf. im Bereich
    "Dreambox-Plugins" zu posten, somit könnte jemand versuchen das ganze bei
    Inkompatibilität selbst neu zu kompilieren.


    Das ganze sieht man an dem Beispiel des Dreamnetcast.
    Hier haben wir keine Sourcen und haben eine eigene neue Version entwicklelt
    die ja im Gemini direkt integriert ist.


    Quote

    Als Beispiel für neu Kompilierte Plugins haben wir hier z.B. das Tool
    "Multiview" hier gibt es die Sourcen öffentlich im Internet, somit können dann User dies
    gegen ein neues CVS/OE-Image oder die Entwickler gegen das neue Gemini Kompilieren
    was aber für Die Entwickler zeitlich schwer werden dürftet.



    Es hat leider keinen Sinn einfach nur ein Plugin zu benennen das nicht mehr
    funktioniert und permanent zu "fordern" oder zu wünschen es solle in
    einem neuen Gemini wieder laufen.


    Da muss man sich wenn schon an den Entwickler des entsprechenden Tools wenden.



    ich hoffe ich habe das ganze hier mal ein wenig verständlich Erläutert.



    Dies ist kein Support-Thread, sondern nur eine Information,
    wer hier in diesem Bereich postet braucht sich nicht zu wundern
    wenn seine postings kommentarlos gelöscht werden!!!

    MfG EgLe :]

    Linux will Benutzer, die Linux wollen. Linux ist nicht Windows


    Kernel : 5.4.2-1-MANJARO LTS
    GUI : KDE 5.64.0 / Plasma 5.17.4
    Machine : Intel NUC8i7HVK
    Graphics : Radeon RX Vega M GH
    CPU : Intel Core i7-8809G @ 8x 4.2GHz
    RAM : Gskill F4-3000C16S-16GRS Speicherkarte so D4 3000 16GB C16 Rip